“Christopher – you should upgrade to 2.3.3, you’re almost there and the jump to 2.3.3 is a small one!”

I have upgraded a few of my sites to 2.3.3 They all use 2.3.x right now. It just takes so long to get all the files uploaded with my slow connection. The upgrade plugin doesn’t work for me *sigh*

That’s why I’m waiting for 2.5 and the corresponding versions of MU and bbpress.